Bug 16600 - Remove some obsolete references to Greybox in some templates
Summary: Remove some obsolete references to Greybox in some templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 8290 16811 16812
  Show dependency treegraph
 
Reported: 2016-05-26 13:32 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16600 - Remove some obsolete references to Greybox in some templates (3.10 KB, patch)
2016-05-26 13:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16600: Remove some obsolete references to Greybox in some templates (3.19 KB, patch)
2016-06-24 20:48 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16600 - Remove some obsolete references to Greybox in some templates (3.24 KB, patch)
2016-06-25 12:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-26 13:32:40 UTC
In identifying what templates still use Greybox for Bug 8290 I found two templates which contain obsolete references to Greybox code:

authorities/merge.tt
cataloguing/z3950_auth_search.tt
Comment 1 Owen Leonard 2016-05-26 13:46:56 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-06-24 20:48:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-25 12:59:06 UTC
Created attachment 52875 [details] [review]
Bug 16600 - Remove some obsolete references to Greybox in some templates

This patch removes unused Greybox markup from two templates.

To test, apply the patch and go to Authorities.

- Perform an authority search which will return multiple results.
- Select two records to merge.
- On the "merging records" page, an earlier version used Greybox to show
  a preview of the selected authority records. Confirm that authority
  number link for the two records triggers a pop-up window instead.

- From the authorities home page, choose 'New from Z39.50'
- Perform a search which will return multiple results.
- Confirm that there is only a 'MARC' preview link. A
  forever-commented-out 'Card' link has been removed.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Obsolete comment on 'Card' removed

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-08 13:03:51 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-08-01 13:26:13 UTC
Pushed in 16.05. Will be in 16.05.02.